package cn.van.business.controller.jd.erp;

import cn.hutool.http.HttpRequest;
import cn.hutool.http.HttpResponse;
import cn.van.business.erp.request.AuthorizeListQueryRequest;
import cn.van.business.erp.request.ERPAccount;
import cn.van.business.erp.request.ProductListQueryRequest;
import com.alibaba.fastjson2.JSONObject;

/**
 * @author Leo
 * @version 1.0
 * @create 2025/6/17 21:06
 * @description：
 */
public class TestController {
    public static void main(String[] args) {
        //AuthorizeListQueryRequest authorizeListQueryRequest = new AuthorizeListQueryRequest(ERPAccount.ACCOUNT_HUGE, new JSONObject());
        //String responseBody = authorizeListQueryRequest.getResponseBody();
        //System.out.println(responseBody);
        System.out.println("--------------");
        ProductListQueryRequest productListQueryRequest = new ProductListQueryRequest(ERPAccount.ACCOUNT_HUGE);
        JSONObject jsonObject = new JSONObject();
        jsonObject.put("page_no", 1);
        jsonObject.put("page_size", 1);
        productListQueryRequest.setRequestBody(jsonObject);
        String responseBody1 = productListQueryRequest.getResponseBody();
        System.out.println(responseBody1);
    }
}
